import { ELoglevel, ETransportType, EConsoleType } from "./utils/enums";
import { ILogger, IClientConfig, ITransport, ITransportFs, IMergedConfig } from "./utils/interfaces";
import { DefaultConsolTransport, DefaultFsTransport, BaseTransport } from "./lib/transport";
declare class Logger implements ILogger {
    private config;
    private stream;
    constructor(config?: IClientConfig);
    trace(...args: any[]): string;
    debug(...args: any[]): string;
    info(...args: any[]): string;
    warn(...args: any[]): string;
    error(...args: any[]): string;
    private writeLog;
    private writeTypeFilesystem;
    private writeTypeConsole;
    private initializeFsLogger;
    private setConfig;
    private configureOutput;
}
export { Logger, ELoglevel, ETransportType, EConsoleType, ILogger, IClientConfig, ITransport, ITransportFs, IMergedConfig, DefaultConsolTransport, DefaultFsTransport, BaseTransport };
