"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var enums_1 = require("../utils/enums");
var BaseTransport = /** @class */ (function () {
    function BaseTransport(baseTransport) {
        this.loglvl = enums_1.ELoglevel.WARN;
        this.showDate = false;
        this.showBaseComment = false;
        this.showLoglevel = true;
        this.baseComment = "Default";
        if (baseTransport) {
            this.baseComment = baseTransport.baseComment;
            this.loglvl = baseTransport.loglvl;
            this.showBaseComment = baseTransport.showBaseComment;
            this.showDate = baseTransport.showDate;
            this.showLoglevel = baseTransport.showLoglevel;
        }
    }
    return BaseTransport;
}());
exports.BaseTransport = BaseTransport;
var DefaultConsolTransport = /** @class */ (function (_super) {
    __extends(DefaultConsolTransport, _super);
    function DefaultConsolTransport(baseTransport) {
        var _this = _super.call(this, baseTransport) || this;
        _this.type = enums_1.ETransportType.console;
        return _this;
    }
    return DefaultConsolTransport;
}(BaseTransport));
exports.DefaultConsolTransport = DefaultConsolTransport;
var DefaultFsTransport = /** @class */ (function (_super) {
    __extends(DefaultFsTransport, _super);
    function DefaultFsTransport(baseTransport) {
        var _this = _super.call(this, baseTransport) || this;
        _this.type = enums_1.ETransportType.filesystem;
        _this.logpath = process.env.appdata ? "%appdata%/tf_log" : "/var/log/tf_log";
        _this.logFileName = "log.log";
        return _this;
    }
    return DefaultFsTransport;
}(BaseTransport));
exports.DefaultFsTransport = DefaultFsTransport;
//# sourceMappingURL=transport.js.map